"""
Copyright (c) 2008, Carl Scheffler
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * The name of the copyright owner may not be used to endorse or promote
      products derived from this software without specific prior written
      permission.

THIS SOFTWARE IS PROVIDED BY <copyright holder> ``AS IS'' AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL <copyright holder> BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
"""

"""
Last modified: 3 March 2006

This part of the library is now deprecated and is here for backwards
compatibility only. It will be removed completely in future.

vector_fun: Functions for outputting in some of the FabLab formats.
"""
from FabTurtle import *

def writeSVG(shapes, filename, units = 'mm'):
   temp = FabTurtle()
   temp.state['shapes'] = shapes
   temp.write_svg(filename, units, scale = 1., xoff = 0., yoff = 0.)

def writeEPI(shapes, filename, rate, power, speed, scale = 1., xoff = 0., yoff = 0., bedheight = 12., autofocus = 1):
   temp = FabTurtle()
   temp.state['shapes'] = shapes
   temp.write_epi(filename, rate, power, speed, scale, xoff, yoff, bedheight, autofocus)

def writeCAMM(shapes, filename, force, speed, scale = 1., xoff = 0., yoff = 0.):
   temp = FabTurtle()
   temp.state['shapes'] = shapes
   temp.write_camm(filename, force, speed, scale, xoff, yoff)

def turtle(commands, theturtle = ''):
   if theturtle == '':
      theturtle = FabTurtle()
   theturtle.command(commands)
   return theturtle
